PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
iso8601 <command> [options]

DESCRIPTION
Display and parse ISO 8601 dates and times

OPTIONS

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-output
    Show output help

--help-commands
    Show command options

--help-modifiers
    Show output modifiers

  Output Options:

--output-as=FORMAT
    Specify output format as one of: text (default), xml

--output-to=DEST
    Specify file name for output (or "-" for stdout)

  Commands:

-n, --now
    Display the current date/time

-d, --date=DATE
    Parse an ISO 8601 date/time (for example, '2019-09-24 00:30:00 +01:00' or '2019-040')

-p, --period=PERIOD
    Parse an ISO 8601 period (interval) with start time (for example, '2005-040/2005-043')

-D, --duration=DURATION
    Parse an ISO 8601 duration (for example, 'P1M')

-E, --expected=TEXT
    Exit with error status if result does not match this text. Requires: -n or -d

  Output modifiers:

-s, --seconds
    Show result as a seconds since 0000-001 00:00:00Z

-S, --epoch
    Show result as a seconds since EPOCH (1970-001 00:00:00Z)

-L, --local
    Show result as a 'local' date/time

-O, --ordinal
    Show result as an 'ordinal' date/time

-W, --week
    Show result as an 'calendar week' date/time

  Application Options:

-$, --version
    Display software version and exit

-V, --verbose
    Increase debug output (may be specified multiple times)

For more information on the ISO 8601 standard, see https://en.wikipedia.org/wiki/ISO_8601

AUTHOR
Written by Andrew Beekhof and the Pacemaker project contributors